@import '../../../../style/variables';

:host {
  .mat-icon-button {
    ::ng-deep {
      .mat-button-wrapper {
        display: flex;
        justify-content: center;
      }
    }
  }
}

figure {
  $size: 1.5rem;
  width: $size;
  height: $size;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  border-radius: 50%;
  overflow: hidden;

  img {
    max-width: $size;
    max-height: $size;
  }
}

.mat-menu-item {
  display: flex;
  align-items: center;

  figure {
    margin: 0 .5rem 0 0;
  }

  span {
    line-height: normal;

    small {
      display: block;
    }
  }
}

.menu-entry-active {
  background-color: $fmi-plateau-primary-color-lighter-x;
}
